/*============================================================================
//  axpsi2xs.cs
//
//  AXP-SI21/AXP-SI22
//
//  Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
//
//   ̃\[Xɂ AXP-SI21 ܂ AXP-SI22 CH1CH2ڑ
//   J[hCH1瑗MACH2MႪLqĂ܂B
//   ̗łCH1COM3ACH2COM4Ɋ蓖ĂĂ̂Ƃ
//   vOLqĂ܂B
//
//==========================================================================*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO.Ports;

namespace SampleSi2x
{
    public partial class Axpsi2xs : Form
    {
        public Axpsi2xs()
        {
            InitializeComponent();
        }

        private void Axpsi2xs_Load(object sender, EventArgs e)
        {
            /*-------------------------------------------------
            // COM߰Ă݂ݒs
            //-----------------------------------------------*/
            SerialPort ch1 = new SerialPort("COM3", 9600, Parity.None, 8, StopBits.One);
            ch1.Open();
            ch1.DtrEnable = true;
            ch1.RtsEnable = true;
            SerialPort ch2 = new SerialPort("COM4", 9600, Parity.None, 8, StopBits.One);
            ch2.Open();
            ch2.DtrEnable = true;
            ch2.RtsEnable = true;

            /*-------------------------------------------------
            // Ms
            //-----------------------------------------------*/
			ch1.WriteLine("PLUG MAGIC");
			ResultMessage(String.Concat("Received: ", ch2.ReadLine()));

		    /*-------------------------------------------------
			// COM߰Ă۰
			//-----------------------------------------------*/
			ch1.Close();
			ch2.Close();

			this.Close();
        }

		/*-------------------------------------------------
        // ʂ\
		//-----------------------------------------------*/
        private void ResultMessage(string buf)
        {
            MessageBox.Show(buf, this.Text,
                            MessageBoxButtons.OK, MessageBoxIcon.Information);
        }
    
    }
}