'============================================================================
'  axpsi2xs.vb
'
'  AXP-SI21/AXP-SI22
'
'  Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
'
'   ̃\[Xɂ AXP-SI21 ܂ AXP-SI22 CH1CH2ڑ
'   J[hCH1瑗MACH2MႪLqĂ܂B
'   ̗łCH1COM3ACH2COM4Ɋ蓖ĂĂ̂Ƃ
'   vOLqĂ܂B
'
'============================================================================

Option Strict Off
Option Explicit On

Imports System.IO.Ports

Public Class Axpsi2xs

    Private Sub Axpsi2xs_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim ch1 As SerialPort
        Dim ch2 As SerialPort

        '-------------------------------------------------
        ' COM߰Ă݂ݒs
        '-------------------------------------------------
        ch1 = New SerialPort("COM3", 9600, Parity.None, 8, StopBits.One)
        ch1.Open()
        ch1.DtrEnable = True
        ch1.RtsEnable = True
        ch2 = New SerialPort("COM4", 9600, Parity.None, 8, StopBits.One)
        ch2.Open()
        ch2.DtrEnable = True
        ch2.RtsEnable = True

        '-------------------------------------------------
        ' Ms
        '-------------------------------------------------
        ch1.WriteLine("PLUG MAGIC")
        ResultMessage(String.Concat("Received: ", ch2.ReadLine()))

        '-------------------------------------------------
        ' COM߰Ă۰
        '-------------------------------------------------
        ch1.Close()
        ch2.Close()

        Me.Close()
    End Sub

    '============================================================================
    '    ʂ\
    '============================================================================
    Private Sub ResultMessage(ByVal lpszbuf As String)
        MsgBox(lpszbuf, MsgBoxStyle.OkOnly + MsgBoxStyle.Information, Me.Text)
    End Sub

End Class
